Add new comment

I have version 1.1 installed on my phone (android 2.2). Lack of timezone is causing me issues as I need to sync the log with other data. Play store says current version is not compatable with my phone :-(.